Имя пользователя:
Пароль:  
Помощь | Регистрация | Забыли пароль?  | Правила  

Компьютерный форум OSzone.net » Программирование, базы данных и автоматизация действий » Программирование и базы данных » Разное - Python | Failed to load the native TensorFlow runtime.

Ответить
Настройки темы
Разное - Python | Failed to load the native TensorFlow runtime.

Пользователь


Сообщения: 116
Благодарности: 1

Профиль | Отправить PM | Цитировать


Изменения
Автор: Darkar25
Дата: 07-04-2018
хотел я значт запустить проект с тигхаба на питоне...скачал значт питон,все нужные библиотеки и программы...всё вроде должно быть нормально...но при попытке запуска мне пишет Failed to load the native TensorFlow runtime.
питон я вообще первый раз скачал за жизнь поэтому как это решать хз...
Лог

Traceback (most recent call last):
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\python\pywrap_tensorflow_internal.py", line 17, in swig_import_helpe
r
return importlib.import_module(mname)
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\importlib\__i
nit__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ImportError: DLL load failed with error code -1073741795

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\Scripts\\hypergan
", line 7, in <module>
import hypergan as hg
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\hypergan\__init__.py", line 2, in <module>
from .gan import GAN
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\hypergan\gan.py", line 1, in <module>
from hypergan.gans.standard_gan import StandardGAN
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\hypergan\gans\standard_gan.py", line 10, in <module>
from hypergan.discriminators import *
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\hypergan\discriminators\autoencoder_discriminator.py", line 1, in <module>
import tensorflow as tf
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\__init__.py", line 24, in <module>
from tensorflow.python import * # pylint: disable=redefined-builtin
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\python\__init__.py", line 49, in <module>
from tensorflow.python import pywrap_tensorflow
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
raise ImportError(msg)
mportError: Traceback (most recent call last):
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
tensorflow\python\pywrap_tensorflow_internal.py", line 18, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
tensorflow\python\pywrap_tensorflow_internal.py", line 17, in swig_import_helpe

return importlib.import_module(mname)
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\importlib\__i
it__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
mportError: DLL load failed with error code -1073741795


ailed to load the native TensorFlow runtime.
See https://www.tensorflow.org/install/i...allation_probl
ems

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.


лог копировал из CMD откуда и производился запуск...я так понял что вывод в файл >log.txt не помогает поэтому могло скопироваться плохо...
Дополнено:
конкретно эта ошибка исправлена...но выявилась новая...думаю вполне похожая...тоже питон и тоже TensorFlow...
Лог

File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\site-packages
\tensorflow\python\pywrap_tensorflow_internal.py", line 16, in swig_import_helpe
r
return importlib.import_module('_pywrap_tensorflow_internal')
File "C:\Users\Сергей\AppData\Local\Programs\Python\Python36\lib\importlib\__i
nit__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/i...allation_probl
ems

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

Отправлено: 16:08, 07-04-2018

 

Аватара для shisik

Ветеран


Сообщения: 2805
Благодарности: 539

Профиль | Отправить PM | Цитировать


Darkar25, с путями к DLL всё правильно?

-------
Registered Linux User #426083
Gentoo Linux amd64, Gnome 2.32.1, Compiz-Fusion


Отправлено: 22:17, 07-04-2018 | #2



Для отключения данного рекламного блока вам необходимо зарегистрироваться или войти с учетной записью социальной сети.

Если же вы забыли свой пароль на форуме, то воспользуйтесь данной ссылкой для восстановления пароля.


Пользователь


Сообщения: 116
Благодарности: 1

Профиль | Отправить PM | Цитировать


Цитата shisik:
Darkar25, с путями к DLL всё правильно? »
да вроде да...эту ошибку я пофиксил...но новая появилась...

Отправлено: 23:50, 07-04-2018 | #3


Аватара для shisik

Ветеран


Сообщения: 2805
Благодарности: 539

Профиль | Отправить PM | Цитировать


Darkar25, да как бы тоже самое. Не может найти модуль _pywrap_tensorflow_internal. Этот модуль - DLL (у меня в Лине - SO), которая лежит прямо рядом с pywrap_tensorflow_internal.py

Скрытый текст


Ох уж эта венда, вечно в ней подобные косяки вылазят.

-------
Registered Linux User #426083
Gentoo Linux amd64, Gnome 2.32.1, Compiz-Fusion


Отправлено: 16:17, 08-04-2018 | #4


Пользователь


Сообщения: 116
Благодарности: 1

Профиль | Отправить PM | Цитировать


Изображения
Тип файла: jpg Screenshot_592.jpg
(123.7 Kb, 2 просмотров)

Цитата shisik:
Darkar25, да как бы тоже самое. Не может найти модуль _pywrap_tensorflow_internal. Этот модуль - DLL (у меня в Лине - SO), которая лежит прямо рядом с pywrap_tensorflow_internal.py
Скрытый текст »
но почему оно его не видит?всё же есть...

Отправлено: 20:32, 10-04-2018 | #5


Аватара для shisik

Ветеран


Сообщения: 2805
Благодарности: 539

Профиль | Отправить PM | Цитировать


Значит в списке путей нет этой папки

-------
Registered Linux User #426083
Gentoo Linux amd64, Gnome 2.32.1, Compiz-Fusion


Отправлено: 14:50, 11-04-2018 | #6


Пользователь


Сообщения: 116
Благодарности: 1

Профиль | Отправить PM | Цитировать


Цитата shisik:
Значит в списке путей нет этой папки »
пуврап понял где...надо было пару файлов переименовать...теперь он не может найти tensorflow.python.pywrap_tensorflow

Отправлено: 17:10, 11-04-2018 | #7


Аватара для shisik

Ветеран


Сообщения: 2805
Благодарности: 539

Профиль | Отправить PM | Цитировать


Darkar25, как-то криво всё уствновлено. А как вообще TF устанавливали? Я ставил через pip в Gentoo, в Ubuntu и в Mac OSX и всё завелось с полпинка. На Винде не пробовал.

-------
Registered Linux User #426083
Gentoo Linux amd64, Gnome 2.32.1, Compiz-Fusion


Отправлено: 23:06, 11-04-2018 | #8


Пользователь


Сообщения: 116
Благодарности: 1

Профиль | Отправить PM | Цитировать


Цитата shisik:
Darkar25, как-то криво всё уствновлено. А как вообще TF устанавливали? Я ставил через pip в Gentoo, в Ubuntu и в Mac OSX и всё завелось с полпинка. На Винде не пробовал. »
устанавливал через pip3

Отправлено: 22:04, 13-04-2018 | #9



Компьютерный форум OSzone.net » Программирование, базы данных и автоматизация действий » Программирование и базы данных » Разное - Python | Failed to load the native TensorFlow runtime.

Участник сейчас на форуме Участник сейчас на форуме Участник вне форума Участник вне форума Автор темы Автор темы Шапка темы Сообщение прикреплено

Похожие темы
Название темы Автор Информация о форуме Ответов Последнее сообщение
[решено] После оверклока начала вылезать ошибка overclocking failed or overvoltage failed evgenuy77 Непонятные проблемы с Железом 11 10-12-2016 20:59
Ошибка - microsoft visual c++ runtime library runtime error r6034 AtosPolon Microsoft Windows 2000/XP 10 05-09-2016 01:53
Ошибка - Failed to load kernel library! evg248088 Microsoft Windows 2000/XP 1 06-09-2011 17:05
MSFT SQL Server - [решено] Failed to load msxmlsql.dll asevych Программирование и базы данных 2 16-06-2011 10:37
Ошибка - [решено] "Failed to load kernel library"-как убрать это сообщение ошибки? goldsmith Microsoft Windows 2000/XP 4 20-07-2009 19:28




 
Переход